AutoCAD Inventor :: Unfolding A Part Created Form Derived Assembly
Oct 7, 2013
I am trying to unfold a part created from a derived assembly like I usually do… why in the world will it not unfold, and show a preview of the unfolded in the other direction??
At first all was working… until I added a part (see the circled item in picture), and I don’t have any problem usually!
I have a vba project that can extract an assembly BOM.
However, it does not output derived parts. What is wrong with my code, shown in the attached file?
What I am trying to do is create a ipt file of a "Laser-Cut" component. Use this component to make another component with drilled, tapped holes in it. Then use this plate, containing the drilled and tapped holes in an assembly.
I need to output this "Laser-Cut" part in my vba created BOM. Is it possible?
Assembly comprised of multiple components all derived from the same master sketch "4 Inch Rail Master Sketch"
Using the sketch to drive geometry, using the parameters to drive various extrude lengths.
Geometry changes seem to propogate quite well, while parameter changes do not...is this a bug or am I doing something wrong? Generally have to open each individual part and "edit derived part" to force changes to propgate...
files attached (move end of part marker down for all .ipts).
I've done an Addin which contains a "Place iLogic Component" function. This funcion work properly and the iLogic form is opened at place component time. Now, i would like to be able to open the form after the insertion, for edition purpose. So, i'd like to open the iLogic form of an assembly component (occurence) with the context menu for example.
So, my question is : Is there a way to check if a part or an assembly contain an iLogic form and to open it through Inventor 2012 API ?
I drew a very funky bracket in IV 2012. I tried using the sheet metal features but they wouldn't cooperate with the funky geometry. I ended up having to draw to sketch profiles, lofting to create a thin feature, and thickning it to material thickness. But this left me without any real bends that the unfold tool can recognize. I tried using the unfold tool (I know that's not what it's for) but it gave me some very funky geometry. I tried ripping out the lofted bends, which worked great, but that leaves me with twisted edges that the bend tool can't grab. how to either model this using the sheetmaetal tools, or how to make this thing unfold?
I have a very simple solid that consists of a lofted solid that was the "hollowed" out via the Shell command
The sketches used to make this lofted solid were two dimensionally similar rectangles. One has radiused corners while the other does not. These rectangles exist on 2 separate planes that are 10" apart. This part (Shroud1.ipt) is supposed to represent a shroud that will be installed between the intake and exhaust of an air filter.
I wanted to convert this to a sheet metal part and then unfold it so I could see what the flat pattern looked like. However, when I attempt to use the "Unfold" command it fails. Similarly, the Flat Pattern command fails as well.
What do I need to do to get this into a flat? I'd rather not redraw this as a sheet metal part. I'm not that familiar with that environment.
I order not to hide components, i want to make a break sketch and remove a piece from a part from an assembly in the isometric view in a drawing. can i do that?
' Create Derived Assembly Definition for the file Filename Dim oDerivedAssem As DerivedAssemblyDefinition Set oDerivedAssem = oPartCompDef.ReferenceComponents. _ DerivedAssemblyComponents.CreateDefinition(Filename) oDerivedAssem. ?
It seems to me that the basic exclude component no longer works when deriving assemblies. If I cycle through components it is not possible to get the Grey circle with the backslash through it?
We have written an add-in that allows you to specify position and non-uniform scaling while creating a derived part.
[URL]
Some potential uses of this add-in include:
1.. To simulate an iFeature where you add or remove material - use Sculpt to add and Split to remove material. Unlike iFeature you could edit the source and make the changes be reflected in the derived part.
2.. To simulate an iFeature that places a sketch - useful for designing frames.
3.. To design a progressive die - you might want to place, with relative displacements, multiple parts representing different stages (or configurations) of a formed sheet metal part
4.. To realign (rotate) a part - sometimes skeletally driven parts (for example, four-bar linkage members) are not aligned with their "natural" coordinate system, causing skewed drawing views
5.. To derive a part with different scaling factors in X, Y and Z directions, which is useful in mold design
6.. To integrate two skeleton systems that do not share the same coordinate system
7.. To create scaled sketches (this should become useable after R11 SP1)
It says i can exclude parts from the assembly, when i insert it as a derived part, but the exclude button is greyed in the insert derived part dialog box.
I can't find a way to create multi flat patters in one part from a lofted sheetmetal part. Also, didn't the developers fix the 'can't make a flat pattern from a derived part'?
IV 2010 Suite Digital Storm PC: EVGA & Intel components Win 7 Pro 64 bit
I´m trying to measure the base dimensions of simple geometric shapes. I started out with plates since they are easy to measure as long as they sit in 90°, 180° and 270° positions relative to the origin. Then Measure.ExtentsLength, Measure.ExtentsWidth and Measure.ExtentsHeight will give me the base dimensions of a plate.
However, if the plate sits abitrary relative to origin this will obviously fail, since Measure.Extents only measures in x,y,z
Is there any way how I get positions of the geometry that is in the part, like corners surfaces on the B-REP so I can calculate the dimensions properly for a plate. I´m not sure if this is possible with iLogic. I have a strong suspicion VB.net would be needed for this.
Another problem I have is that derived parts don´t get triggered to run a script when I change the geometry in the Multibody Part and the rule is set to run by any modelgeometry change.
I got this code earlier from Curtis_Waguespack, and i would like to add a setting... When i run this rule it Derives the assembly, but LOD is set to Master, i would like it to be set to my own (Configurator) LOD...
I don't seem to be able to find anything in this code, that defines LOD...
So far im doing ok with the standard ilogic code, but when it´s API or VBA code im lost.. which leads me to this.. i've been searching the forum back and forth to find a code that performs the feature "Shrinkwrap", and somehow everything i have found so far does not work... even the code example in Inventors help menu under programming, Therefore im trying to solve this with Curtis's code as staring point..
'set a reference to the assembly component definintion.'this assumes an assembly document is open.Dim oAsmCompDef As AssemblyComponentDefinitionoAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition 'define the path and file nameDim sPathandName As StringsPathandName = ThisDoc.PathAndFileName(False)
it's possible to create a derived part using only some of the features of the base components i.e. I've got a funny shaped part with a bunch of holes in it, and I need another part with exactly the same shape but totally different holes (location and size)I know you can do this with the different solids in the part (only use some of the solids) but I haven't been able to figure it out with features, if it's possible at all.
I could probably create one base part (just the shape) and derive both parts from that, but then I've got a part lying around doing jack.using IV 11.
I have created a very simple yet effective tool for starting a new manifold assembly using iLogic. The rules and windows essentially fill out the size of the block, material type, description, project and part number.
Below I have a hydraulic manifold I have designed and from that I created the final .ipt of the internals. The way I did this (which may not be the best method) was to create a second .ipt matching the LxWxH of the original manifold, next I inserted and aligned both into another .iam file, lastly I derived a third .ipt from a subtraction resulting in the third image below. This is a bit time consuming to create, but has been very useful in error checking our designs. I would like to see if iLogic is capable of allowing me to automate this so we can easily create these internal flowpath .ipt's for every manifold we design.
Is it possible to change the derived part link to another part like you would replace a component in an assembly? My issue is that i created a part and used a derived part within. Well this part number changed and it just so happens that the derived part needs to change as well. I tried the design assistant, and changed the link there but it didnt seem to want to take. I tried renaming the derived part, and opening the file...i get the error but i still am unable to change the link that way either.
I have a part (several actually) that I made using the mirror command. I made these in 2012. When I converted to 2013 and set up my new appearance freindly materials, I changed the appearance for my 201 S/S matl to "Stainless Brushed". The first image is of the derived part which is stuck on a "Steel" appearance, the second image is of the base model which is correctly displaying the "Stainless Brushed" appearance. I tried playing around with the appearance overrides and I can't seem to get it to update. My assembly looks like **** with the different appearances.
For chuckles sake I'll also mention that every time "appearance" appears in the above paragraph I typed color first and corrected it.
I have created a new drawing template using an iLogic Form and Prompted Entry. What I would like is a Rule that is generated when a user opens a new drawing template. The rule that is created would open up the new iLogic Form I created where various Title Block information is entered (Client Name, Client Address, Date, Drawn By, etc... I know you can manually open the iLogic Form that I created via the iLogic tab, but I would prefer the form open upon opening the new drawing. Once comlpeted, the user than imputs the Prompted Entry values (Drawing Name, Drawing Number, etc...).
I am having some trouble with this quick VBA app, I want a utility that can traverse all the parts in a top level assembly and suppress the link to each derived part (multiple) in all the parts in the assembly.
I have played with the following
Public Sub SuppressLink() Dim partdoc As PartDocument Set partdoc = ThisApplication.ActiveDocument partdoc.ComponentDefinition.ReferenceComponents.DerivedPartComponents.Item(1).SuppressLinkToFile = True End Sub
Which works, but only on one part file, and only on the first derived part. Is there any easy way to make this work on ALL the dervived links and every single part inside an assembly?